Subject: Re: [LON-CAPA-dev] Meeting Plan

From: Mark Lucas <[email-masked]>
Date: Thu, 2 Jan 2003 10:50:04 -0500 (EST)

On Thu, 2 Jan 2003, Guy Albertelli II wrote:

> Hi Mark,
> 
> 
> > * The ubiquitous use of ids in labelling of parts to instructors.
> >   Display of such things should be in terms of a paradigm that instructors
> >   relate to, and that makes logical sense to someone not diving through
> >   the code.
> 
> I have added the ability to do edit ids in CSTR space where else would
> this need to be added?

When presented with 'parts', they should always be in order of 
presentation in the problem and preferably start with 1.
If one inserts a part and goes mucking with ids, I thought that old 
courses got screwed up?

The discussion was of having a layer that translates between ids and
a sequentially labelled part or subquestion and answer/subanswer.
Jeremy had a note with his suggested language back a ways on loncapa-dev.

This behavior should be the default, not something that people have to go 
out of their way to produce.

> Will consider:
> 
> > * Coding of conditions
> > 
> > * There has been talk of taking a complicated problem and joining it
> >   with several simpler problems in a feedback loop of sorts.
> >   This 'composite problem' would be a sequence, rather than an atomic
> >   problem, that would be plugged into a course, perhaps in several
> >   places.
> > 
> >   Is it possible to plug it in in several places? It was my understanding
> >   that the parameters are defined by the containing sequence and the
> >   resource name. Plugging the same 'composite problem' into two places in 
> >   the same course would cause confusion to the system.
> > 
> > * I still think that it would be good to have domain lists. One publishes
> >   a library under a copyright of domain:serway_list, and then any
> >   domain in the list serway_list is allowed access.
> >   This would be useful for publisher libraries, as well as limited
> >   release of materials being tested for something like a
> >   multi-institutional CCLI grant (still no word).
> > 
> > * Replication of courses is becoming an issue. While the atomic resources
> >   stay the same, seldom will an instruction not want to tweak sequences,
> >   parameters (like tolerances), etc....
> >   Could a 'wizard' be created which takes an existing course, does 
> >   a reasonably intelligent job of copying sequences around to duplicate 
> >   the structure of a course, and then provides some replication of 
> >   coursewide (not student-wise) parameters (copying problem 
> >   specific parameters with confirmation, prompting for some default 
> >   due dates, etc...)?
> >
> 
> Seems to be non-technical: 
> > * The issue of re-use is looming here. This is one of the main emphases of
> >   the grant. I think there needs to be a more extensive investigation as
> >   to what instructors consider 'show stoppers' when trying to use someone
> >   elses problems. To address these issues, we need to develop some 
> >   idea of coding standards and there needs to be work on the optional
> >   display of titles, duedates, units, etc... and possibly annotation of
> >   problems. I was appalled to discover what one of our colleagues was
> >   doing because he didn't like this format, this font, this problem
> >   that wouldn't print, etc....
> 
> BTW, style sheets now wok well, and the use of <displaydudate />
> etc. in a .problem is officially deprecated.
> 
> I will send out an example of how one can do this sometime next week
> to lon-capa-users

The issue of coding with units and then turning them off is of a technical
nature.

The issue of being able to include an instructor's note/annotation with
a problem is of a technical nature. (see bug 549)
http://bugs.lon-capa.org/show_bug.cgi?id=549 

I agree the others can be addressed with styles and standards.

On a wider collaboration scale (not technical programming scale), this
is something that still needs to be examined.

Thanks for looking at things!

Later,
	Mark

> -- 
> [email-masked]          BM: n^20 t20 z20 qS 
> Guy Albertelli -7-7-7-  O-
>     I will strive to be godlike.  I will start by condemning my enemies
>     to an eternal hell.    
> _______________________________________________
> LON-CAPA-dev mailing list
> [email-masked]
> http://mail.lon-capa.org/mailman/listinfo/lon-capa-dev
> 

----------------------------------------------------------------------------
Mark Lucas					email: [email-masked]
252D Clippinger Lab  				phone: (740)597-2984
Department of Physics and Astronomy             fax:   (740)593-0433
Ohio University
Athens, OH 45701